> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Privacy Settings

> Update privacy settings



## OpenAPI

````yaml openapi-v2 POST /chat/updatePrivacySettings/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /chat/updatePrivacySettings/{instance}:
    post:
      tags:
        - Chat Controller
      summary: Update Privacy Settings
      description: Update privacy settings
      operationId: updatePrivacySettings
      parameters:
        - name: instance
          in: path
          required: true
          description: 'Name of the instance '
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - readreceipts
                - profile
                - status
                - online
                - last
                - groupadd
              properties:
                readreceipts:
                  type: string
                  enum:
                    - all
                    - none
                profile:
                  type: string
                  enum:
                    - all
                    - contacts
                    - contact_blacklist
                    - none
                status:
                  type: string
                  enum:
                    - all
                    - contacts
                    - contact_blacklist
                    - none
                online:
                  type: string
                  enum:
                    - all
                    - match_last_seen
                last:
                  type: string
                  enum:
                    - all
                    - contacts
                    - contact_blacklist
                    - none
                groupadd:
                  type: string
                  enum:
                    - all
                    - contacts
                    - contact_blacklist
      responses:
        '200':
          description: Ok
          content: {}
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````